=== debian/changelog ===
imx-code-signing-tool (3.3.0+dfsg-2) unstable; urgency=medium

  * Update the patch to fix more issues of the kind.
    Thanks to Peter Senna Tschudin <peter.senna@collabora.com>.
  * Add Vcs-*.
  * Add debian/gbp.conf.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 03 Feb 2020 22:11:09 +0100

imx-code-signing-tool (3.3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #950017).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 28 Jan 2020 12:51:44 +0100
