=== debian/control ===
Source: imx-code-signing-tool
Section: electronics
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libssl-dev,
 byacc,
 flex
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://gitlab.apertis.org/pkg/development/imx-code-signing-tool.git
Vcs-Browser: https://gitlab.apertis.org/pkg/development/imx-code-signing-tool

Package: imx-code-signing-tool
Architecture: any
Multi-Arch: foreign
Depends:
 bash,
 python3,
 python3-cryptography,
 ${misc:Depends},
 ${shlibs:Depends}
Description: code signing tool for i.MX platform
 This package provides a code signing tool for signing images
 for i.MX-based NXP processors using High Assurance Boot (HABv4)
 library in the internal boot ROM or the Advanced High Assurance
 Boot (AHAB) subsystem.
 .
 This package also provides a variety of support scripts.
