## imx-code-signing-tool 3.3.0+dfsg2

=== code/cst/code/obj.linux32/Makefile ===
#=============================================================================
#
#    File Name:  Makefile
#
#    General Description: Makefile for ARM Cortex-A8 little endian
#                         configuration
#
#==============================================================================
#
#
#
#             Freescale Semiconductor
#       (c) Freescale Semiconductor, Inc. 2015. All rights reserved.
#       Copyright 2019 NXP
#
#==============================================================================

TOOLCHAIN := gcc

# Configuration-specific customization

COPTIONS += -m32
LDOPTIONS += -m32

include ../build/make/binaries.mk
