=== code/cst/code/obj.osx/Makefile ===
#=============================================================================
#
#    File Name:  Makefile
#
#    General Description: Makefile for MacOS/OSX platform
#
#==============================================================================
#
#       Copyright 2019 NXP
#
#==============================================================================

TOOLCHAIN := gcc

# Configuration-specific customization

COPTIONS += -m64
LDOPTIONS += -m64

include ../build/make/binaries.mk
