=== debian/changelog ===
imx-code-signing-tool (3.3.0+dfsg2-1) unstable; urgency=medium

  * Remove the questionably licensed and unused HSM backend
    (Closes: #985763).
  * Refresh patches.
  * Bump debhelper from old 12 to 13.
  * Remove unused license definitions.
  * Use execute_after_ instead of override_.
  * Update gbp.conf and Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 23 Mar 2021 09:54:12 +0100
