=== code/cst/code/obj.linux64/Makefile ===
#=============================================================================
#
#    File Name:  Makefile
#
#    General Description: Makefile for ARM Cortex-A8 little endian
#                         configuration
#
#==============================================================================
#
#
#
#             Freescale Semiconductor
#       (c) Freescale Semiconductor, Inc. 2009. All rights reserved.
#       Copyright 2019 NXP
#
#==============================================================================

TOOLCHAIN := gcc

# Configuration-specific customization

COPTIONS += -m64
LDOPTIONS += -m64

include ../build/make/binaries.mk
