=== debian/changelog ===
imx-code-signing-tool (3.3.1+dfsg-2ubuntu1) jammy; urgency=medium

  * Build without LTO, lto-disabled-list does not
    work for this package.

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 06 Jan 2022 12:44:17 +0000

imx-code-signing-tool (3.3.1+dfsg-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 16:35:34 +0100

imx-code-signing-tool (3.3.1+dfsg-2) unstable; urgency=medium

  * Unbreak the scripts.
    Thanks to Sean Anderson (patch taken from Arch Linux).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Aug 2021 16:02:12 +0200

imx-code-signing-tool (3.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Update the copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Aug 2021 15:10:25 +0200
