=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: imx-code-signing-tool
 Section: electronics
 Priority: optional
-Maintainer: Andrej Shadura <andrewsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libssl-dev,
  byacc,
  flex
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Git: https://gitlab.apertis.org/pkg/development/imx-code-signing-tool.git
-Vcs-Browser: https://gitlab.apertis.org/pkg/development/imx-code-signing-tool
+Vcs-Git: https://gitlab.apertis.org/pkg/imx-code-signing-tool.git -b debian/unstable
+Vcs-Browser: https://gitlab.apertis.org/pkg/imx-code-signing-tool
 
 Package: imx-code-signing-tool
 Architecture: any
