=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 %:
 	dh $@
@@ -10,8 +12,7 @@
 override_dh_installchangelogs:
 	dh_installchangelogs Release_Notes.txt
 
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	# shebang has to be the first line, *above* the copyrights
 	sed -e '1 s^.*^#!/usr/bin/python3^' -i debian/*/usr/share/doc/*/*/parse_sig_blk.py
 	sed -e '1 s^.*^#!/bin/bash^' -i debian/*/usr/share/doc/*/*/createSRK*
