=== code/cst/code/obj.linux64/Makefile ===
--- 
+++ 
@@ -23,6 +23,3 @@
 LDOPTIONS += -m64
 
 include ../build/make/binaries.mk
-
-
-
