=== debian/changelog ===
imx-code-signing-tool (3.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches:
    - Rebase script fix
    - Drop patches no longer necessary due to upstream changes
  * Add -ldl to LDLIBS just as the upstream does.
  * Update copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Oct 2023 22:15:13 +0100

imx-code-signing-tool (3.3.1+dfsg-3) unstable; urgency=medium

  [ Martyn Welch ]
  * Use .o rather than weakened .a.
  * Make err_msg static so we don't get linking errors.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 20 Jun 2023 18:47:15 +0200
