=== debian/changelog ===
imx-code-signing-tool (3.4.0+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:05 +1100

imx-code-signing-tool (3.4.0+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:14:58 +0000

imx-code-signing-tool (3.4.0+dfsg-2) unstable; urgency=medium

  * Remove upstream Makefile before running dh_auto_clean.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Jan 2024 15:48:27 +0100

imx-code-signing-tool (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Adjust paths according to the upstream changes.
  * Update Vcs-Browser to point to the actual branch.
  * Update the copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Jan 2024 14:24:18 +0100
