=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://gitlab.apertis.org/pkg/imx-code-signing-tool.git -b debian/unstable
-Vcs-Browser: https://gitlab.apertis.org/pkg/imx-code-signing-tool
+Vcs-Browser: https://gitlab.apertis.org/pkg/imx-code-signing-tool/-/tree/debian/unstable
 
 Package: imx-code-signing-tool
 Architecture: any
