=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	ln -sf debian/Makefile .
	ln -sf $(CURDIR)/debian/debian-toolchain.mk code/build/make/

override_dh_installchangelogs:
	dh_installchangelogs Release_Notes.txt

execute_after_dh_installdocs:
	# shebang has to be the first line, *above* the copyrights
	sed -e '1 s^.*^#!/usr/bin/python3^' -i debian/*/usr/share/doc/*/*/parse_sig_blk.py
	sed -e '1 s^.*^#!/bin/bash^' -i debian/*/usr/share/doc/*/*/createSRK*
	cp add-ons/hab_csf_parser/README $(wildcard debian/*/usr/share/doc/*)/README.csf_parser

override_dh_compress:
	dh_compress -XcreateSRK -X.py -X.sh

execute_before_dh_auto_clean:
	rm -f Makefile
