## imx-code-signing-tool 3.4.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Freescale Semiconductor
 # (c) Freescale Semiconductor, Inc. 2011-2015. All rights reserved.
-# Copyright 2017-2019, 2022-2023 NXP
+# Copyright 2017-2019, 2022-2024 NXP
 #
 #==============================================================================
 #
@@ -14,7 +14,7 @@
 #==============================================================================
 
 # Define CST version number
-export VERSION := 3.4.0
+export VERSION := 3.4.1
 
 # Common Makefile variables
 OSTYPES := linux64 linux32 mingw32 osx
@@ -92,7 +92,7 @@
 
 # Download and unpack OpenSSL
 $(OPENSSL_TAR):
-	curl -O $(OPENSSL_URL)
+	curl --proxy-insecure --insecure -O $(OPENSSL_URL)
 
 $(OPENSSL_SRC_DIR): $(OPENSSL_TAR)
 	tar xzf $(OPENSSL_TAR)
