=== code/obj.mingw32/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
#
# Freescale Semiconductor
# (c) Freescale Semiconductor, Inc. 2015. All rights reserved.
# Copyright 2019, 2023 NXP
#
#=============================================================================
#
#    File Name:  Makefile
#
#    General Description: Makefile for ARM Cortex-A8 little endian
#                         configuration
#
#==============================================================================

TOOLCHAIN := mingw-gcc

# Configuration-specific customization

COPTIONS += -m32
LDOPTIONS += -m32

include ../build/make/binaries.mk
