=== code/obj.osx/Makefile ===
# SPDX-License-Identifier: BSD-3-Clause
#
# Copyright 2019, 2023 NXP
#
#=============================================================================
#
#    File Name:  Makefile
#
#    General Description: Makefile for MacOS/OSX platform
#
#==============================================================================

TOOLCHAIN := gcc

# Configuration-specific customization

COPTIONS += -m64
LDOPTIONS += -m64

include ../build/make/binaries.mk
