=== debian/changelog ===
imx-code-signing-tool (3.4.1+dfsg-6) unstable; urgency=medium

  * Add manpages.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 04 Jun 2025 09:09:10 +0200

imx-code-signing-tool (3.4.1+dfsg-5) unstable; urgency=medium

  * Unbreak build on big endian platforms by reusing ntohl instead of from_be32.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 03 Jun 2025 17:22:04 +0200

imx-code-signing-tool (3.4.1+dfsg-4) unstable; urgency=medium

  * preinst:
    - Verify the source is not already a symlink.
    - Don’t run migrations needlessly.
  * Pass LDFLAGS when building csf_parser.
  * createSRKTable: Remove commented out lines resulting in incorrect shell
    syntax.
  * Enable all hardening options.
  * Standards-Version: 4.7.2.
  * Silence bash warning by depending on bash 4.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 03 Jun 2025 15:05:18 +0200

imx-code-signing-tool (3.4.1+dfsg-3) unstable; urgency=medium

  * Fix upgrade path from previous versions.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 03 Jun 2025 13:52:00 +0200

imx-code-signing-tool (3.4.1+dfsg-2) unstable; urgency=medium

  * Move Vcs-* to Salsa.
  * Update standards version to 4.6.2, no changes needed.
  * Set Collabora team as the maintainer.
  * Add missing dependencies for the PKI scripts.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 02 Jun 2025 15:31:14 +0200

imx-code-signing-tool (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Clean the source during clean stage if Makefile’s still there.
  * Install the new binary mac_dump.
  * Update unbreak-scripts.patch to cover more scripts.
  * Install "ca" directory with openssl configuration.
  * Install scripts into libexec.
  * Add autopkgtests.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 02 Jun 2025 14:00:25 +0200
