=== debian/control ===
Source: imx-code-signing-tool
Section: electronics
Priority: optional
Maintainer: Collabora Team <team+collabora@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libssl-dev,
 byacc,
 flex
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/collabora-team/imx-code-signing-tool.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/collabora-team/imx-code-signing-tool/-/tree/debian/unstable

Package: imx-code-signing-tool
Architecture: any
Multi-Arch: foreign
Depends:
 bash (>= 4.0),
 openssl,
 opensc,
 python3,
 python3-cryptography,
 ${misc:Depends},
 ${shlibs:Depends}
Description: code signing tool for i.MX platform
 This package provides a code signing tool for signing images
 for i.MX-based NXP processors using High Assurance Boot (HABv4)
 library in the internal boot ROM or the Advanced High Assurance
 Boot (AHAB) subsystem.
 .
 This package also provides a variety of support scripts.
