=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

debian/%.1: debian/%.pod
	pod2man -r "" -c "i.MX CST Documentation" -n $(shell echo $(notdir $(@:%.1=%)) | tr a-z A-Z) $< > $@

execute_before_dh_installman: debian/cst.1 debian/srktool.1 debian/csf_parser.1

override_dh_auto_configure:
	ln -sf debian/Makefile .
	ln -sf $(CURDIR)/debian/debian-toolchain.mk code/build/make/

override_dh_installchangelogs:
	dh_installchangelogs Release_Notes.txt

execute_after_dh_install:
	# shebang has to be the first line, *above* the copyrights
	sed -e '1 s^.*^#!/usr/bin/python3^' -i debian/*/usr/share/libexec/*/*/parse_sig_blk.py
	sed -e '1 s^.*^#!/bin/bash^' -i debian/*/usr/share/libexec/*/*/createSRK*
	chmod +x debian/*/usr/share/libexec/*/pki_scripts/*.sh

execute_after_dh_installdocs:
	cp add-ons/hab_csf_parser/README $(wildcard debian/*/usr/share/doc/*)/README.csf_parser

override_dh_compress:
	dh_compress -XcreateSRK -X.py -X.sh

execute_before_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile
