=== debian/tests/control ===
Tests: smoke
Restrictions: allow-stderr, superficial

Tests: create-csf
Restrictions: allow-stderr
