## imx-code-signing-tool 4.0.1%2Bdfsg

=== src/lib/CMakeLists.txt ===
include_directories(common)
include_directories(back_end)
include_directories(front_end)

add_subdirectory(common)
add_subdirectory(back_end)
add_subdirectory(front_end)
