=== debian/control ===
--- 
+++ 
@@ -5,10 +5,18 @@
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
 Build-Depends:
+ bison,
+ cmake,
  debhelper-compat (= 13),
+ dh-exec,
+ flex,
+ libhidapi-dev,
+ libjson-c-dev,
  libssl-dev,
- byacc,
- flex
+ libudev-dev,
+ libusb-1.0-0-dev,
+ openssl,
+ pkgconf
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/collabora-team/imx-code-signing-tool.git -b debian/unstable
@@ -25,6 +33,9 @@
  python3-cryptography,
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends:
+ libengine-pkcs11-openssl,
+ p11-kit
 Description: code signing tool for i.MX platform
  This package provides a code signing tool for signing images
  for i.MX-based NXP processors using High Assurance Boot (HABv4)
