=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,7 @@
 
 Tests: create-csf
 Restrictions: allow-stderr
+
+Tests: hsm-sign
+Depends: @, libengine-pkcs11-openssl, opensc, p11-kit, softhsm2, libsofthsm2, util-linux-extra
+Restrictions: allow-stderr, needs-sudo
